get
/api/v2/modelsList active AI models available for monitor configuration.
List active AI models available for monitor configuration.
Requires bearer API key
Parameters
No parameters.
Responses
200
Successful JSON response.
application/json{
"type": "object",
"additionalProperties": false,
"properties": {
"models": {
"type": "array",
"items": {
"type": "object",
"additionalProperties": true,
"properties": {
"slug": {
"type": "string"
},
"displayName": {
"type": "string"
},
"provider": {
"type": "string"
},
"isDefault": {
"type": "boolean"
},
"supportsWebSearch": {
"type": "boolean"
},
"contextWindow": {
"type": "integer"
},
"pricing": {
"type": "object",
"additionalProperties": true,
"properties": {
"inputPer1m": {
"type": "number"
},
"outputPer1m": {
"type": "number"
},
"cachedInputPer1m": {
"type": "number"
},
"webSearchPer1k": {
"type": "number"
}
},
"required": [
"inputPer1m",
"outputPer1m",
"cachedInputPer1m",
"webSearchPer1k"
]
}
},
"required": [
"slug",
"displayName",
"provider",
"isDefault",
"supportsWebSearch",
"contextWindow",
"pricing"
]
}
}
},
"required": [
"models"
]
}Try it
Send this request to the local WatchLLM REST handler. Use a key from `/workspace/api`; organization keys can include `X-Project-Id` only when the endpoint documents that header.